##------------------------------------------------------------------------
## AUTORE:
##    Matteo Redaelli (mredaelli@tiscalinet.it)
## DATA CREAZIONE:
##
## ULTIMA MODIFICA:
##		23-06-1999
##
## FILE:
##		Set.pm
## PARAMETRI:
##
## USO:
##
## VERSONE PERL:
##    5.005_02
## OPZIONI PERL:
##
## TESTATO SU:
##    NT 4.0
##------------------------------------------------------------------------

package Set;
require Exporter;
@ISA =qw(Exporter);
@EXPORT = qw( element, subset ); 
$VERSION = '1.00';


sub element
{
	local ($elem, @set) = @_;

#	print "*** elem: $elem, @set ***\n";
	foreach $el (@set ) {
		return 0 if ( not ($el cmp $elem) ) 
	}
	return 1;
}

#forse e' meglio definire 2 variabili predefite...
#tipo set1 e set2

sub subset
{
	local $s1 = @_[0];
	local @set1 = @_[1..$s1];
	local @set2 = @_[$s1+1..$#_];

#	print "set1=@set1, set2=@set2\n";

	foreach $el (@set1 ) {
		return 1 if ( element($el, @set2) ); 
	}
	return 0;
}
