##------------------------------------------------------------------------
## AUTORE:
##    Matteo Redaelli (mredaelli@tiscalinet.it)
## DATA CREAZIONE:
##
## ULTIMA MODIFICA:
##		23-06-1999
##
## FILE:
##		Set.pm
## PARAMETRI:
##
## USO:
##
## VERSONE PERL:
##    5.005_02
## OPZIONI PERL:
##
## TESTATO SU:
##    NT 4.0
##------------------------------------------------------------------------

package graph;
require Exporter;

@ISA =qw(Exporter);
@EXPORT = qw( load_graph ); 
$VERSION = '1.00';

sub load_graph
{
  my ($file, $separator, $nodes, @graph) = @_;
 
  open FOO, $file or die "Cannot open file $file\n.";
  
  $row = 0;
  while (<FOO>) {
    @line = split( /$separator/,  $_);
    
    # skip empth lines or this an initial "#"
    if ( /^#/ || /^$/ ) { 
	 next;
      }     
    if ($#line != $nodes) {
      die "Row $row has $#line lines instead of $nodes";
      exit 1;
    }
    $col = 0;
    for ( @line ) {
      $graph[$row][$col] = $_;
      $col++;
    }
    $row++;	
  }
  close $file;
  
}
